SciQLOP - Bug #621

Bug while downloading CDF files through Sciqglop's space data module
12/02/2016 11:17 AM - Anonymous

Status: Closed Start date: 12/02/2016
Priority: High Due date:

Assignee: % Done: 0%
Category: legacy Estimated time: 0.00 hour
Target version: Spent time: 0.00 hour
revision: r0 blocked: No
Description

It appears that 2 events can prevent data from being well-downloaded on CDAWeb servers :
- a 403 Forbidden HTML message is received or

- downloaded CDF has some missing bytes at the beginning of the file

This 2 events implies segfault when CDFcodec is attempting to reading the received file.

Tests performed in simple network environment case (Qt examples) do not reproduce these bugs.
Further investigation leads to 2 methods potentially involve in the bug :

- FileDownloader::gothead() and

- FileDownloaderTask::startPosition()

History

#1 - 12/02/2016 05:13 PM - Anonymous
- Status changed from New to Resolved

- Assignee set to Anonymous

Problems were :
e http range request was formed with bad range, because starting border was not assigned (thus set to a random number) =>download allowed

but missing data
e cdaweb reject range request with starting border equal to 0 => 403 http errors

#2 - 27/09/2017 09:42 PM - Nicolas Aunai

- Status changed from Resolved to Closed

#3 - 14/02/2019 10:28 AM - Nicolas Aunai
- Category set to legacy
